pub mod gui;
pub mod stream;
pub mod voice;

const MICROPHONE_BUFFER_LENGHT: usize = 1024 * 4;
const SPEAKER_BUFFER_LENGHT: usize = 1024 * 16 * 4;

#[derive(Debug)]
pub struct ClientConfig {
    certificate_path: String,
    server_address: String,
}

impl ClientConfig {
    fn new() -> Self {
        Self {
            certificate_path: "./client/certificates/cert.pem".to_string(),
            server_address: "127.0.0.1:4546".to_string(),
        }
    }
}
